Skip to main content

System Admin

2 API calls in this section.

List System Carriers

External & Carrier Integrations / System Admin
GET/carriers/admin

GET /carriers/admin — List all carriers with global status and defaults

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/carriers/admin" \2  --header "Authorization: Bearer {{access_token}}"

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Update System Carrier

External & Carrier Integrations / System Admin
PATCH/carriers/admin/PRIME

PATCH /carriers/admin/:code — Enable/disable and set default price

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request PATCH "$ONDI_BASE_URL/carriers/admin/PRIME" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json" \4  --header "Content-Type: application/json" \5  --data '{6  "is_active": true,7  "default_base_price": 6.58}'
Request body
json
1{2  "is_active": true,3  "default_base_price": 6.54}

Request body fields

is_activeExample
boolean

Example field from the request body.

default_base_priceExample
number

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Content-TypeOptional
header string

application/json

Responses

No response example is available for this endpoint yet.